package io.smallrye.jwt;

import java.io.IOException;
import java.io.UncheckedIOException;
import java.security.NoSuchAlgorithmException;

import org.jboss.logging.Messages;
import org.jboss.logging.annotations.Cause;
import org.jboss.logging.annotations.Message;
import org.jboss.logging.annotations.MessageBundle;

@MessageBundle(projectCode = "SRJWT", length = 5)
interface JWTMessages {
    JWTMessages msg = Messages.getBundle(JWTMessages.class);

    @Message(id = 0, value = "Failed to decode the JWKS Public Key")
    UncheckedIOException invalidJWKSPublicKey(@Cause IOException ioe);

    @Message(id = 1, value = "Unsupported key type %s")
    NoSuchAlgorithmException unsupportedAlgorithm(String algorithmName);

    @Message(id = 2, value = "No resource with the named %s location exists")
    IOException keyNotFound(String keyLocation);
}
